summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug <ultrabug@gentoo.org>2016-04-13 08:45:36 +0200
committerUltrabug <ultrabug@gentoo.org>2016-04-13 08:45:36 +0200
commit23d7fe293f2b6aed3bbafa70a4c3f1b2eeecfe46 (patch)
treebb70e2cebef8383ea3b02f60759992dae90f4e51 /app-admin/logswan/logswan-1.05.ebuild
parentdev-python/yapf: version bump (diff)
downloadultrabug-23d7fe293f2b6aed3bbafa70a4c3f1b2eeecfe46.tar.gz
ultrabug-23d7fe293f2b6aed3bbafa70a4c3f1b2eeecfe46.tar.bz2
ultrabug-23d7fe293f2b6aed3bbafa70a4c3f1b2eeecfe46.zip
app-admin/logswan: version bump
Diffstat (limited to 'app-admin/logswan/logswan-1.05.ebuild')
-rw-r--r--app-admin/logswan/logswan-1.05.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-admin/logswan/logswan-1.05.ebuild b/app-admin/logswan/logswan-1.05.ebuild
new file mode 100644
index 0000000..2e43145
--- /dev/null
+++ b/app-admin/logswan/logswan-1.05.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.6"
+inherit cmake-utils
+
+DESCRIPTION="Web log analyzer using probabilistic data structures"
+HOMEPAGE="https://github.com/fcambus/logswan"
+SRC_URI="https://github.com/fcambus/${PN}/archive/${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-libs/geoip
+ dev-libs/jansson"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # fix GeoIP data files path
+ sed -e 's@/usr/local/share/GeoIP/@/usr/share/GeoIP/@g' -i src/logswan.c || die
+}
+
+pkg_postinst() {
+ elog "To download the GeoIP backend data files, run:"
+ elog " geoipupdate.sh -f"
+}